Bug 71122 - Can not dial up. Won't detect modem (external) and hangs when using ppp0
Can not dial up. Won't detect modem (external) and hangs when using ppp0
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: 76353 (view as bug list)
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
Reported: 2002-08-08 20:07 EDT by Alan Cramer
Modified: 2014-03-16 22:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-04 17:58:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Cramer 2002-08-08 20:07:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When I try to connect to the internet using my dial up external 56k modem, it 
simply won't dial.  I have been using the correct serial port, and it just 
hangs the network dialog when trying to activate the ppp0 interface.  I chose 
the Personal Desktop option during install.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Click GNOME Foot, Then System Tools, then Network
2. Click on Activate for ppp0
3. Program hangs on activation step.

Actual Results:  It came up with a Kill Apllication box, and i am unable to 

Expected Results:  Should dial up the internet

Additional info:
Comment 1 Alan Cramer 2002-08-09 03:47:42 EDT
I found out that it seems to be redhat-config-network with the problem.  kppp
dials fine, and wvdial dials fine (except you can't surf using the browser for
some reason)
Comment 2 Alan Cramer 2002-08-09 03:49:27 EDT
redhat-config-network can't actually find my modem, whereas kppp and wvdialconf
can both find it and connect to it.
Comment 3 Nalin Dahyabhai 2002-08-13 16:28:54 EDT
Could you check if updating wvdial to version 1.53-5 or later from Raw Hide
(ftp://ftp.redhat.com/pub/redhat/linux/rawhide/i386/) fixes this for you?

(It may be necessary to rebuild it from source
(ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/) using 'rpmbuild
--rebuild' if you run into dependency errors.)
Comment 4 Alan Cramer 2002-08-13 23:30:05 EDT
I updated to wvdial-1.53-6 and libwvstreams-3.70-5.  It didn't seem to help or
hinder the problem.

It is still unable to detect the modem.  wvdialconf is still able to pick it up
and so is kppp.

Under RedHat 7.3, I was able to use RP3 to dial in, and use the network config
to find it, and set it up.  Even when I upgraded manually to GNOME2 via GARNOME
I was still able to use RP3 but not as an applet.
Comment 5 Nalin Dahyabhai 2002-08-14 16:02:46 EDT
Just so I'm straight on what's going on, then, are you attempting to add the
dialup connection as a new connection with redhat-config-network, or attempting
to use one which was already set up before you upgraded to the beta?

If you're adding it, which modem device is it attempting to use?  Is that device
listed in /etc/wvdial.conf?  Was it detected by the hardware probe at bootup
(and added to /etc/sysconfig/hwconf)?
Comment 6 Alan Cramer 2002-08-15 04:57:43 EDT
I did a fresh install of Red Hat Limbo, incase there was any problem with upgrading.

When I was using 7.3, my modem was detected fine using the redhat-config-network
tool, but with limbo, setting it up won't pick up anything on any port.

/etc/sysconfig/hwconf doesn't list the modem anywhere.

/etc/wvdial.conf only lists the modem after running wvdialconf in the Terminal.

What I don't get is why wvdialconf can pick it up, kppp can pick it up, but
redhat-config-network can't.
Comment 7 Alan Cramer 2002-08-15 05:29:53 EDT
I upgraded redhat-config-network from 1.1.12-1 to 1.1.14-1 and it didn't seem to
make any difference to any of the situation.

1. Still won't detect modem.
2. Still hangs redhat-config-network upon activating ppp interface.
Comment 8 Preston Brown 2002-08-21 14:09:07 EDT
Nalin, dial-up w/external modem works fine for me, btw.
Comment 9 Alan Cramer 2002-12-13 21:43:27 EST
Using RedHat 8.0, I thought I'd give it a shot.

It still won't detect my modem, but at least I can manually add it this time,
and it dials no problem.

There is still the fact it won't detect it though.

I can't test anything at the moment though, as I am using GTK2 2.1.4 and i still
have a broken libgnomeui.
Comment 10 Harald Hoyer 2003-01-13 06:37:40 EST
r-c-n uses
 res = kudzu.probe(kudzu.CLASS_MODEM,
kudzu.BUS_USB|kudzu.BUS_SERIAL|kudzu.BUS_PCI, kudzu.PROBE_ALL)
and does not seem to find a modem..
Comment 11 Harald Hoyer 2003-01-13 07:50:22 EST
*** Bug 76353 has been marked as a duplicate of this bug. ***
Comment 12 Bill Nottingham 2005-02-04 17:58:02 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please attempt to confirm with more recent releases.

Note You need to log in before you can comment on or make changes to this bug.